<div class="row mt-3" *ngIf="ensemble && ensembleUsers">
  <div class="col-md-6 mb-3">
    <div class="card">
      <div class="card-heading pb-2 d-flex justify-content-between">
        <h5>Mitglieder</h5>
        <div>
          <div class="input-group input-group-sm">
            <input type="text" class="form-control" placeholder="Suchen" [(ngModel)]="searchText">
            <div class="input-group-append">
              <span class="input-group-text"><i class="fas fa-search"></i> </span>
            </div>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="card-text">
          <h6>Rollenerklärung</h6>
          <small>
            <b class="text-info">Admin:</b> Kann alle Einstellungen am Ensemble sehen und ändern, Mitglieder und Register verwalten. Außerdem kann der Admin Projekte erstellen und sämtliche Anmeldedaten einsehen.<br>
            <b class="text-info">Manager:</b> Der Manager hat alle Rechte des Mitglieds und kann zusätzlich in Projekten Anwesenheiten und Anmeldungen einsehen.<br>
            <b class="text-info">Mitglied:</b> Kann nur die Übersicht des Ensembles und seine Projekte sehen. Außerdem für Projekte anmelden.
          </small>
        </div>
        <div class="row border-top py-2" *ngFor="let ensembleUser of ensembleUsers | filterBy : ['user.firstName', 'user.lastName', 'user.mail']: searchText">
          <div class="col-10">
            <div class="row">
              <div class="col-md-8">
                {{ensembleUser.user.firstName}} {{ensembleUser.user.lastName}}
                <span *ngIf="ensembleUser.user.id == ensemble.owner.id" class="text-danger"> (Gründer)</span><br>
                <small>{{ensembleUser.user.mail}}</small>
              </div>
              <div class="col-md-4">
                <select class="custom-select custom-select-sm"
                        [disabled]="isOwner(ensembleUser)"
                        [(ngModel)]="ensembleUser.role.id"
                        (change)="changeRole(ensembleUser)"
                >
                  <option *ngFor="let role of roles" [ngValue]="role.id">{{'role.' + role.name | translate}}</option>
                </select>
              </div>
            </div>
          </div>
          <div class="col-2">
            <button class="btn btn-sm btn-outline-danger"
                    (click)="unassignUser(ensembleUser)"
                    *ngIf="!isOwner(ensembleUser)"
            >
              <i class="fas fa-trash"></i>
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="col-md-6">
    <div class="card mb-3">
      <div class="card-heading">
        <h5>Neue Mitglieder hinzufügen</h5>
      </div>
      <div class="card-body">
        <small class="mb-2">
          Hier kannst du Benutzer zu deinem Ensemble hinzufügen. In der Liste befinden sich alle Benutzer die Mitglied in deinem Verein sind.
        </small>
        <table class="table table-striped">
          <tbody>
          <tr *ngFor="let user of organizationUsers">
            <td>{{user.firstName}}</td>
            <td>{{user.lastName}}</td>
            <td>
              <button class="btn btn-sm btn-success" type="button" (click)="assignUser(user)">
                <i class="fas fa-user-plus"></i>
                <span class="d-none d-sm-inline-block pl-1">hinzufügen</span>
              </button>
            </td>
          </tr>
          <tr *ngIf="organizationUsers && organizationUsers.length <= 0">
            <td>Zur Zeit sind keine Benutzer verfügbar.</td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
    <eos-invite-user [organization]="ensemble.organization" [ensemble]="ensemble" (newEnsembleUserEmitter)="newAssignedUser($event)"></eos-invite-user>
  </div>
</div>